Subject: 29.0.50; Change gnus-user-agent to nil by default

From: Stefan Kangas <[email-masked]>
Date: Thu, 29 Sep 2022 09:45:21 -0700

Severity: wishlist

This is a proposal to set `gnus-user-agent' to non-nil by default.

To save some typing, I'll just quote what Daniel Kahn Gillmor said when
they made this change in notmuch back in 2016:

> The User-Agent: header can be fun and interesting, but it also leaks
> quite a bit of information about the user and their software stack.
>
> This represents a potential security risk (attackers can target the
> particular stack) and also an anonymity risk (a user trying to
> preserve their anonymity by sending mail from a non-associated account
> might reveal quite a lot of information if their choice of mail user
> agent is exposed).
>
> It makes sense to have safer defaults.

https://notmuchmail.org/pipermail/notmuch/2016/022789.html